version: "3.7"

volumes:
  website:
    name: website

networks:
  proxy:
    external: true

services:
  website:
    container_name: website
    image: nginx:1.25-alpine
    volumes:
      - website:/usr/share/nginx/html
    labels:
      traefik.http.routers.website.entrypoints: websecure
      traefik.http.routers.website.rule: Host(`www.picasoft.net`, `picasoft.net`)
      traefik.http.services.website.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped
